CVE-1999-1502
CVSS7.5
发布时间 :1998-04-08 00:00:00
修订时间 :2016-10-17 22:05:03
NMCOS    

[原文]Buffer overflows in Quake 1.9 client allows remote malicious servers to execute arbitrary commands via long (1) precache paths, (2) server name, (3) server address, or (4) argument to the map console command.


[CNNVD]Quake Precache Path缓冲区溢出漏洞(CNNVD-199804-020)

        Quake 1.9版本client客户端存在缓冲区溢出漏洞。远程恶意攻击者可以通过(1)precache路径,(2)服务器名,(3)服务器地址,或者(4)map控制台命令参数执行任意代码。

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: [--]
完整性影响: [--]
可用性影响: [--]
攻击复杂度: [--]
攻击向量: [--]
身份认证: [--]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-1999-1502
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-1999-1502
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-199804-020
(官方数据源) CNNVD

- 其它链接及资源

http://marc.info/?l=bugtraq&m=89205623028934&w=2
(UNKNOWN)  BUGTRAQ  19980408 QuakeI client: serious holes.
http://www.securityfocus.com/bid/68
(VENDOR_ADVISORY)  BID  68
http://www.securityfocus.com/bid/69
(VENDOR_ADVISORY)  BID  69

- 漏洞信息

Quake Precache Path缓冲区溢出漏洞
高危 缓冲区溢出
1998-04-08 00:00:00 2005-10-20 00:00:00
远程  
        Quake 1.9版本client客户端存在缓冲区溢出漏洞。远程恶意攻击者可以通过(1)precache路径,(2)服务器名,(3)服务器地址,或者(4)map控制台命令参数执行任意代码。

- 公告与补丁

        Currently the SecurityFocus staff are not aware of any vendor supplied patches for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com.

- 漏洞信息

9844
Quake 1 Client precache Path Overflow
Input Manipulation
Loss of Integrity

- 漏洞描述

Unknown or Incomplete

- 时间线

1998-04-08 Unknow
Unknow Unknow

- 解决方案

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

Quake Console Command Buffer Overflow Vulnerability
Boundary Condition Error 69
Yes No
1998-04-08 12:00:00 2009-07-11 12:16:00
This vulnerability was published as "QuakeI client: serious holes." by Chris Evans <chris@ferret.lmh.ox.ac.uk> in the BugTraq mailing list on April 8, 1998.

- 受影响的程序版本

id Software Quake 1.9

- 漏洞讨论

As part of the Quake protocol the server can give the client arbitrary console commands. Of these at least "map string_longer_than_64_characters" will cause a buffer overflow in the stack.

- 漏洞利用

Currently the SecurityFocus staff are not aware of any exploits for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com.

- 解决方案

Currently the SecurityFocus staff are not aware of any vendor supplied patches for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com.

- 相关参考

     

     

    关于SCAP中文社区

    SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

    版权声明

    CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站